Package org.sonatype.maven.polyglot

## Class PolyglotModelManager

- java.lang.Object
- - org.sonatype.maven.polyglot.PolyglotModelManager

    @Component(role=PolyglotModelManager.class)
    public class PolyglotModelManager
    extends java.lang.Object

Manages the mapping for polyglot model support.

Since:
  0.7
Author:
  Jason Dillon

### Field Summary

Fields
`protected org.codehaus.plexus.logging.Logger` `log`
`protected java.util.List<Mapping>` `mappings`

### Constructor Summary

Constructors
`PolyglotModelManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMapping​(Mapping mapping)`
`java.lang.String` `determineFlavourFromPom​(java.io.File dir)`
`java.io.File` `findPom​(java.io.File dir)`
`java.util.Properties` `getEnhancementPropertiesFor​(java.util.Map<java.lang.String,​?> options)`
`java.lang.String` `getFlavourFor​(java.util.Map<java.lang.String,​?> options)`
`org.apache.maven.model.io.ModelReader` `getReaderFor​(java.util.Map<java.lang.String,​?> options)`
`java.util.List<Mapping>` `getSortedMappings()`
`org.apache.maven.model.io.ModelWriter` `getWriterFor​(java.util.Map<java.lang.String,​?> options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    @Requirement
    protected org.codehaus.plexus.logging.Logger log

#### mappings

    @Requirement(role=Mapping.class)
    protected java.util.List<Mapping> mappings

### Constructor Detail

#### PolyglotModelManager

    public PolyglotModelManager()

### Method Detail

#### addMapping

    public void addMapping​(Mapping mapping)

#### getSortedMappings

    public java.util.List<Mapping> getSortedMappings()

#### getReaderFor

    public org.apache.maven.model.io.ModelReader getReaderFor​(java.util.Map<java.lang.String,​?> options)

#### getEnhancementPropertiesFor

    public java.util.Properties getEnhancementPropertiesFor​(java.util.Map<java.lang.String,​?> options)

#### getWriterFor

    public org.apache.maven.model.io.ModelWriter getWriterFor​(java.util.Map<java.lang.String,​?> options)

#### findPom

    public java.io.File findPom​(java.io.File dir)

#### determineFlavourFromPom

    public java.lang.String determineFlavourFromPom​(java.io.File dir)

#### getFlavourFor

    public java.lang.String getFlavourFor​(java.util.Map<java.lang.String,​?> options)